liblog-contextual-perl_0.006004-1_all.deb


Advertisement

Description

liblog-contextual-perl - module for simple contextual logging

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: liblog-contextual-perl
Package version: 0.006004
Package release: 1
Package architecture: all
Package type: deb
Installed size: 141 B
Download size: 45.21 KB
Official Mirror: ftp.br.debian.org
Log::Contextual is a Perl module that provides an implementation-independent interface for simple data logging. It supports painless switching between any logger that implements the defined interface, either for the entire program (using set_logger) or for a given section of code (using with_logger). The framework supports many logging levels that are enabled using environment variables (these are, in order of decreasing verbosity: trace, debug, info, warn, error, and fatal). This package includes simple loggers that can be seamlessly upgraded to more advanced loggers, such as Log::Dispatchouli (see liblog-dispatchouli-perl).

Alternatives

    Download

    Source package: liblog-contextual-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install liblog-contextual-perl deb package:
      # sudo apt-get install liblog-contextual-perl

    Files

    • /usr/share/doc/liblog-contextual-perl/CONTRIBUTING
    • /usr/share/doc/liblog-contextual-perl/changelog.Debian.gz
    • /usr/share/doc/liblog-contextual-perl/changelog.gz
    • /usr/share/doc/liblog-contextual-perl/copyright
    • /usr/share/man/man3/Log::Contextual.3pm.gz
    • /usr/share/man/man3/Log::Contextual::Easy::Default.3pm.gz
    • /usr/share/man/man3/Log::Contextual::Easy::Package.3pm.gz
    • /usr/share/man/man3/Log::Contextual::Role::Router.3pm.gz
    • /usr/share/man/man3/Log::Contextual::Role::Router::SetLogger.3pm.gz
    • /usr/share/man/man3/Log::Contextual::Role::Router::WithLogger.3pm.gz
    • /usr/share/man/man3/Log::Contextual::Router.3pm.gz
    • /usr/share/man/man3/Log::Contextual::SimpleLogger.3pm.gz
    • /usr/share/man/man3/Log::Contextual::TeeLogger.3pm.gz
    • /usr/share/man/man3/Log::Contextual::WarnLogger.3pm.gz
    • /usr/share/perl5/Log/Contextual.pm
    • /usr/share/perl5/Log/Contextual/Router.pm
    • /usr/share/perl5/Log/Contextual/SimpleLogger.pm
    • /usr/share/perl5/Log/Contextual/TeeLogger.pm
    • /usr/share/perl5/Log/Contextual/WarnLogger.pm
    • /usr/share/perl5/Log/Contextual/Easy/Default.pm
    • /usr/share/perl5/Log/Contextual/Easy/Package.pm
    • /usr/share/perl5/Log/Contextual/Role/Router.pm
    • /usr/share/perl5/Log/Contextual/Role/Router/SetLogger.pm
    • /usr/share/perl5/Log/Contextual/Role/Router/WithLogger.pm

    Changelog

    2014-07-16 - gregor herrmann <gregoa@debian.org> liblog-contextual-perl (0.006004-1) unstable; urgency=medium * New upstream release. * Strip trailing slash from metacpan URLs. * Drop manpage-has-bad-whatis-entry.patch; fixed upstream. * Update years of packaging copyright. * Drop unneeded version from libexporter-declare-perl (build) dependency.

    2014-02-23 - Florian Schlichting <fsfs@debian.org> liblog-contextual-perl (0.006003-1) unstable; urgency=medium * Import Upstream version 0.006003 * Ship CONTRIBUTING documentation * Bump copyright years * Remove copyright paragraph for M::I (dropped upstream) * Declare compliance with Debian Policy 3.9.5 * Add build-dependency on Test::Fatal * Drop pod_error.patch, applied upstream * New manpage-has-bad-whatis-entry.patch

    2013-09-09 - Florian Schlichting <fsfs@debian.org> liblog-contextual-perl (0.006000-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ gregor herrmann ] * New upstream release 0.004001, 0.004100. * Add /me to Uploaders. * New (build) dependency: libexporter-declare-perl. * debian/control: update {versioned,alternative} (build) dependencies. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Axel Beckert ] * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg- copyright" [ Florian Schlichting ] * Import Upstream version 0.006000 * Delete version on suggested liblog-log4perl-perl * Bump year of upstream and M::I copyright * Update (build-)dependencies * Bump Standards-Version to 3.9.4 (no change) * Add myself to uploaders and copyright * Add pod_errors.patch

    2011-03-19 - Jonathan Yu <jawnsy@cpan.org> liblog-contextual-perl (0.00304-1) unstable; urgency=low * Initial Release (Closes: #618931)

    Advertisement
    Advertisement